| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
FlutterSpellCheckResult Class Reference
Inheritance diagram for FlutterSpellCheckResult:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithMisspelledRange:suggestions:
(NSDictionary< NSString *, NSObject * > *) | - toDictionary

## Class Methods
(instancetype) | + NS_UNAVAILABLE

## Properties
NSArray< NSString * > * | suggestions
NSRange | misspelledRange

## Detailed Description

Definition at line 17 of file FlutterSpellCheckPlugin.mm.

## Method Documentation

## ◆ initWithMisspelledRange:suggestions:

- (instancetype) initWithMisspelledRange: |  | (NSRange) | range
suggestions: |  | (NSArray<NSString*>*) | NS_DESIGNATED_INITIALIZER

Definition at line 32 of file FlutterSpellCheckPlugin.mm.

146 :(NSRange)range
147 suggestions:(NSArray<NSString*>*)suggestions {
148 self = [super init];
149 if (self) {
150 _suggestions = [suggestions copy];
151 _misspelledRange = range;
152 }
153 return self;
154 }
FlutterSpellCheckResult::suggestions
NSArray< NSString * > * suggestions
Definition: FlutterSpellCheckPlugin.mm:19

## ◆ NS_UNAVAILABLE [1/2]

+ (instancetype) NS_UNAVAILABLE |  |  |

## ◆ NS_UNAVAILABLE [2/2]

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ toDictionary

- (NSDictionary< NSString *, NSObject * > *) toDictionary |  |  |

Definition at line 32 of file FlutterSpellCheckPlugin.mm.

156 {
157 return @{
158 @"startIndex" : @(_misspelledRange.location),
159 // The end index represents the next index after the last character of a misspelled word to
160 // match the behavior of Dart's TextRange:
161 // https://api.flutter.dev/flutter/dart-ui/TextRange/end.html
162 @"endIndex" : @(_misspelledRange.location + _misspelledRange.length),
163 @"suggestions" : _suggestions,
164 };
165 }

## Property Documentation

## ◆ misspelledRange

- (NSRange) misspelledRange
| readnonatomicassign

Definition at line 20 of file FlutterSpellCheckPlugin.mm.

## ◆ suggestions

- (NSArray<NSString*>*) suggestions
| readnonatomiccopy

Definition at line 19 of file FlutterSpellCheckPlugin.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterSpellCheckPlugin.mm